<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!--TITLE-->
    <title>VP Money Transfer</title>

    <!-- Favicon icon -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png"/>

    <!-- Stylesheet -->
    <link rel="stylesheet" type="text/css" th:href="@{/css/bootstrap.min.css}" href="../static/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminStyle.css}" href="../static/css/adminStyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminCsstyle.css}" href="../static/css/adminCsstyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}" href="../static/css/style.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/all.min.css}" href="../static/css/all.min.css">

</head>
<body>
<!-- Preloader -->
<div id="preloader">
    <div id="status"></div>
</div>

<!-- Document Wrapper  -->
<div id="main-wrapper">
    <!-- Header start -->
    <header class="header">
        <div class="container d-flex align-items-center">
            <a class="logo" href="/">
                <img src="images/VP.png" alt="">
            </a>
            <nav class="primary-menu text-md-right">
                <a id="mobile-menu-toggler" href="#"><i class="fas fa-bars"></i></a>
                <ul>
                    <li><a href="/">Home</a></li>
                    <li><a href="/send-money-process">Send Money</a></li>
                    <li><a href="/about">About</a></li>
                    <li><a href="/contact">Contact</a></li>
                    <li class="has-menu-child pro-menu-drop">
                        <a href="#">
                            <div class="header-pro-thumb">
                                <img class="rounded-circle" th:unless="${user.picture==null}"
                                     th:src="@{'data:image/jpeg;base64,' + ${user.picture}}" alt="">
                                <img class="rounded-circle" th:if="${user.picture==null}"
                                     src="images/profile-img.jpeg" alt="">
                            </div>
                            <div th:text="${user.username}"></div>
                            <i class="fas fa-chevron-down"></i>
                        </a>
                        <ul class="dropdown-menu-md sub-menu profile-drop">

                            <li class="nav__create-new-profile-link">
                                <a href="/profile">
                                    <span>View personal profile</span>
                                </a>
                            </li>
                            <li class="divider"></li>
                            <li class="nav__dropdown-menu-items">
                                <a href="/logout"><i class="icon icon-logout"></i><span>Logout</span></a></li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
    </header>
    <!-- Header end -->

    <!-- Admin Hero section-->
    <div class="hero-section">
    </div>
    <!-- Admin End of Hero section-->

    <!-- Content  -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">

                <!-- Left sidebar -->
                <aside class="col-lg-3 sidebar">
                    <div class="widget admin-widget p-0">
                        <div class="Profile-menu">
                            <ul class="nav secondary-nav">
                                <li class="nav-item active"><a class="nav-link " href="/dashboard"><i class="fas fa-tachometer-alt"></i> Dashboard</a></li>
                                <li class="nav-item"><a class="nav-link" href="/profile"><i class="fab fa-autoprefixer"></i> My Profile</a></li>
                                <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link" href="/users"><i class="fab fa-autoprefixer"></i> All users</a></li>
                                <li class="nav-item"><a class="nav-link" href="/wallets-and-cards"><i class="fas fa-university"></i> Wallets & Cards</a></li>
                                <li class="nav-item"><a class="nav-link" href="/deposit-money"><i class="fas fa-plus"></i> Deposit Money to wallet</a></li>
                                <li class="nav-item"><a class="nav-link" href="/send-money-process"><i class="far fa-paper-plane"></i> Send Money to friend</a></li>
                                <li class="nav-item"><a class="nav-link" href="/transactions"><i class="fas fa-list-ul"></i> My Transactions</a></li>
                                <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link" href="/all-transactions"><i class="fas fa-list-ul"></i> All Transactions</a></li>
                            </ul>
                        </div>
                    </div>

                </aside>
                <!-- Left Panel End -->

                <!-- Container Panel  -->
                <div class="col-lg-9">
                    <h2 class="admin-heading bg-offwhite">All History</h2>

                    <!-- Filter -->
                    <div class="row">

                        <div class="col-12">
                            <form id="custom-filter-area" method="post">
                                <div class="form-row">
                                    <!-- All Filters Link  -->
                                </div>
                            </form>
                        </div>
                    </div>
                    <!-- Filter End -->

                    <!-- search bar start -->
                    <div style="text-align: center">
                        <form th:action="@{/all-transactions}">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Search By Sender</label>
                                        <input type="text" class="form-control" name="fromUsername"
                                               placeholder="Sender" style="text-align: center"
                                               pattern="[^()/><\][\\\x22,;|]+"
                                               title="no special symbols permitted">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Search By Recipient</label>
                                        <input type="text" class="form-control" name="toUsername"
                                               placeholder="Recipient" style="text-align: center"
                                               pattern="[^()/><\][\\\x22,;|]+"
                                               title="no special symbols permitted">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Start Date</label>
                                        <input type="date" class="form-control" name="startDate"
                                               placeholder="Start Date" style="text-align: center">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>End Date</label>
                                        <input type="date" class="form-control" name="endDate"
                                               placeholder="End Date" style="text-align: center">
                                    </div>
                                </div>
                            </div>
                            <div style="text-align: center">
                                <label>Sort By</label>
                                <select name = "sortBy" class="custom-select" style="text-align: center">
                                    <option>DateDesc</option>
                                    <option>DateAsc</option>
                                    <option>AmountAsc</option>
                                    <option>AmountDesc</option>
                                </select>
                            </div>
                            <br>
                            <button type="submit" class="btn btn-default mr-0">
                                <span class="bh"></span>
                                <i class="fa fa-search"></i>
                            </button>
                        </form>
                    </div>
                    <br>
                    <!-- search bar end -->

                    <!-- All Transactions  -->
                    <div class="profile-content">
                        <!-- Admin Heading Title  -->
                        <div class="transaction-title bg-offwhite">
                            <div class="items">
                                <div class="row">
                                    <div class="col text-center">Date</div>
                                    <div class="col text-center">From</div>
                                    <div class="col text-center">To</div>
                                    <div class="col text-center">Amount</div>
                                </div>
                            </div>
                        </div>
                        <!-- Admin Heading Title End -->

                        <!-- Transaction List -->
                        <div class="transaction-area">
                            <div class="items" th:each="transaction : ${transactions}" th:if="${!transactions.isEmpty()}">
                                <div class="row">
                                    <div class="col text-center">
                                    <span class="name"
                                          th:text="${#dates.format(transaction.date, 'dd-MM-yyyy')}">
                                    </span>
                                    </div>
                                    <div class="col text-center">
                                        <span class="name" th:text="${transaction.from}"></span>
                                    </div>
                                    <div class="col text-center">
                                        <span class="name" th:text="${transaction.to}"></span>
                                    </div>
                                    <div class="col text-center">
                                        <span class="payment-amaount" th:text="${transaction.amount}"></span>
                                        <span class="currency">BGN</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Transaction List End -->

                        <!-- Pagination -->
                        <ul class="nav nav-pills" th:if="${transactions.totalPages > 0}">
                            <li class="nav-item"
                                th:each="pageNumber : ${pageNumbers}">
                                <a th:href="@{/all-transactions(page=${pageNumber}, fromUsername=${fromUsername},
                                 toUsername=${toUsername}, sortBy=${sortBy}, startDate=${startDate}, endDate=${endDate})}"
                                   th:text="${pageNumber}" class="nav-link"
                                   th:classappend="${pageNumber==transactions.number + 1} ? active"></a>
                            </li>
                        </ul>
                        <!-- Pagination end -->

                    </div>
                    <!-- All Transactions End -->
                </div>
                <!-- Middle End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer start -->
    <footer class="footer">
        <div class="foo-btm">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <div class="foo-navigation">
                            <ul>
                                <li><a href="#">Terms and Conditions</a></li>
                                <li><a href="#">Privacy & Policy</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="copyright">Copyright &copy; <a></a>2020</div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Script -->
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/moment.min.js"></script>
<script src="js/daterangepicker.js"></script>
<script src="js/bootstrap-select.min.js"></script>

<!--Navigation bar primary-menu-->
<script src="js/custom.js"></script>
<script src="js/scripts.js"></script>

<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/owl.carousel.min.js"></script>
<script src="js/owl.carousel2.thumbs.min.js"></script>
<script src="js/jquery.countdown.min.js"></script>
<script src="js/jquery.fancybox.min.js"></script>
<script src="js/jquery.nice-select.min.js"></script>
<script src="../../cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/TweenMax.min.js" ></script>
<script src="../../s3-us-west-2.amazonaws.com/s.cdpn.io/106949/jquery.onscreen.js"></script>

</body>

</html>